Subject: Re: [Bitcoin-development] [PATCH] Boost filesystem v3 support

From: Jeff Garzik <[email-masked]>
Date: Wed, 24 Aug 2011 15:29:20 -0400

On Wed, Aug 24, 2011 at 3:21 PM, Luke-Jr <[email-masked]> wrote:
> On Wednesday, August 24, 2011 3:19:08 PM Jeff Garzik wrote:
>> On Fri, Aug 19, 2011 at 12:48 PM, Luke-Jr <[email-masked]> wrote:
>> > This patch conditionally adapts the one line needed to support boost
>> > filesystem version 3 (default in Boost 1.46+ and required for 1.48+)
>> >
>> > I have tested it with Boost 1.41.0 to verify it still works on these
>> > older versions too.
>>
>> Your change appears to be technically correct.  It is disappointing
>> for #ifdefs to crap up the code, though...
>
> It's only one line, and can be removed when the old APIs are sufficiently
> removed.

Yeah, I think it is fair to apply.  Just saying... a nicer version
would be... nice.  Most projects work a bit to hide this stuff in
headers, so that the actual code is a bit clean.

Now, this is a general guideline, not a hard rule.  We have plenty of
#ifdef windows code already, for example.

-- 
Jeff Garzik
exMULTI, Inc.
[email-masked]